Bug 1315567 - (CVE-2016-1953) CVE-2016-1953 Mozilla: Miscellaneous memory safety hazards (rv:45.0) (MFSA 2016-16)
CVE-2016-1953 Mozilla: Miscellaneous memory safety hazards (rv:45.0) (MFSA 20...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20160308,repor...
: Security
Depends On:
Blocks: 1313724
  Show dependency treegraph
 
Reported: 2016-03-08 00:52 EST by Huzaifa S. Sidhpurwala
Modified: 2016-06-03 14:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-09 03:33:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2016-03-08 00:52:29 EST
Mozilla developers and fixed several memory safety bugs in the browser engine used in Firefox and other Mozilla-based products. Some of these bugs showed evidence of memory corruption under certain circumstances, and we presume that with enough effort at least some of these could be exploited to run arbitrary code. 

Carsten Book, Christoph Diehl, Christian Holler, Andrew McCreight, Daniel Holbert, Gian-Carlo Pascutto, Tyson Smith, Andrea Marchesini, and Jukka Jylänki reported memory safety problems and crashes that affect Firefox 44.


External Reference:

https://www.mozilla.org/security/announce/2016/mfsa2016-16.html


Acknowledgements:

Name: the Mozilla project
Upstream: Carsten Book, Christoph Diehl, Christian Holler, Andrew McCreight, Daniel Holbert, Gian-Carlo Pascutto, Tyson Smith, Andrea Marchesini, Jukka Jylänki


Statement:

This issue does not affect the version of firefox and thunderbird as shipped with Red Hat Enterprise Linux 5, 6 and 7.

Note You need to log in before you can comment on or make changes to this bug.